glib_dep = dependency('glib-2.0')
gobject_dep = dependency('gobject-2.0')
pq_dep = dependency('libpq', version: '>=9.0')

lib_sources = files(
	'dbwrapper.vala',
	'rut.vala',
	'db/arrienda.vala',
	'db/asociado.vala',
	'db/categoria.vala',
	'db/ciudad.vala',
	'db/contacto_emergencia.vala',
	'db/descuento.vala',
	'db/empresa.vala',
	'db/enfermedad.vala',
	'db/especialidad.vala',
	'db/guia.vala',
	'db/lugar.vala',
	'db/participa.vala',
	'db/posee.vala',
	'db/realiza.vala',
	'db/region.vala',
	'db/requerir_auto.vala',
	'db/tiene_enfermedad.vala',
	'db/tour.vala',
	'db/turista.vala',
	'db/vehiculo.vala')

vala_args = ['--vapidir=' + join_paths(meson.source_root(), 'vapi')]

lib = library(meson.project_name(),
	lib_sources,
	vala_header: 'lib' + meson.project_name() + '.h',
	vala_vapi: 'lib' + meson.project_name() + '.vapi',
#	vala_gir: 'LibSernatur-1.0.0.gir',
	vala_args: vala_args,
	dependencies: [glib_dep, gobject_dep, pq_dep],
	version: '1.0.0',
	soversion: '0',
	install: true,
	install_dir: [true, true, true])

pkg_mod = import('pkgconfig')
pkg_mod.generate(lib)

lib_dep = declare_dependency(
	link_with: lib)
